extends Node2D

onready var file = 'res://myscript.txt'

# Called when the node enters the scene tree for the first time.
func _ready():
	reload()
	
func _input(event):
	if event is InputEventMouseButton:
		reload()

func reload():
#	var script = "extends Node\nfunc hw():\n\tprint(\"Hello World\")\n"
	var script = load_text_file(file)
	$Node2D.script.source_code = script
	$Node2D.script.reload(true)
	$Node2D.run()

func load_text_file(path):
	var f = File.new()
	var err = f.open(path, File.READ)
	if err != OK:
		printerr("Could not open file, error code ", err)
		return ""
	var text = f.get_as_text()
	f.close()
	return text

func save_text_file(text, path):
	var f = File.new()
	var err = f.open(path, File.WRITE)
	if err != OK:
		printerr("Could not write file, error code ", err)
		return
	f.store_string(text)
	f.close()
